Skip to main content
GET
Runs by-request-id

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1
dropId
string
required
Minimum string length: 1

Query Parameters

requestId
string
required
Required string length: 1 - 200

Response

200 - application/json

Success

dropId
string
required
Required string length: 1 - 300
runId
string
required
Required string length: 1 - 300
requestId
string
required
Required string length: 1 - 200
status
enum<string>
required
Available options:
QUEUED,
RUNNING,
NEEDS_CONFIRMATION,
DELIVERED,
PARTIAL,
FAILED,
CANCELLED
targets
object[]
required
Maximum array length: 30
contextPath
string